import requests
url = "https://api.datagrid.com/v1/voice-orchestrator/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/voice-orchestrator/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/voice-orchestrator/tasks \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"task_id": "<string>",
"status": "queued",
"task": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"conversation_id": "<string>",
"agent_id": "<string>",
"parent_task_id": "<string>",
"result": "<string>",
"error_message": "<string>",
"acknowledged_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"pending_action": {
"payload_id": "<string>",
"action_name": "<string>",
"agent_explanation": "<string>",
"tool_id": "<string>",
"submit_button_text": "<string>",
"connector_id": "<string>"
}
}
],
"has_more": true,
"first_id": "<string>",
"last_id": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}List voice orchestrator tasks
List delegated voice tasks for the authenticated user. By default this
returns active, non-expired queued or running tasks plus unacknowledged
terminal tasks and omits task result content from list views.
Pass an explicit status filter to request a specific task state.
A cancelled status marks tasks stopped via the cancel endpoint
(PATCH /voice-orchestrator/tasks/{task_id}/cancel).
import requests
url = "https://api.datagrid.com/v1/voice-orchestrator/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/voice-orchestrator/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/voice-orchestrator/tasks \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"task_id": "<string>",
"status": "queued",
"task": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"conversation_id": "<string>",
"agent_id": "<string>",
"parent_task_id": "<string>",
"result": "<string>",
"error_message": "<string>",
"acknowledged_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"pending_action": {
"payload_id": "<string>",
"action_name": "<string>",
"agent_explanation": "<string>",
"tool_id": "<string>",
"submit_button_text": "<string>",
"connector_id": "<string>"
}
}
],
"has_more": true,
"first_id": "<string>",
"last_id": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Status filter. Repeat the parameter for multiple statuses (?status=queued&status=running); comma-separated values are also accepted. Supported values: queued, running, completed, failed, cancelled.
1 <= x <= 25Response
Voice orchestrator tasks
list Show child attributes
Show child attributes
Always false for the bounded voice task inbox.
The first task ID in this bounded list response, or null when the list is empty.
The last task ID in this bounded list response, or null when the list is empty.